Update Custom CAL Packages
post
/config/sim/v2/setup/cal/updateCustomPackage
Updates a Custom CAL Package
Request
Supported Media Types
- multipart/form-data
- application/json
Header Parameters
-
Simphony-AuditTrailRef: string
Detail that identifies, who made the change.
Custom CAL Package insert and update request body. packageId is required for update.
Root Schema : schema
Type:
Show Source
object-
deploymentOrder:
integer
Default Value:
1000Deployment order of the Custom CAL Package. Enter a number between 1000 and 999999999.Example:1000 -
folderName:
string
Folder name of the Custom CAL Package. If not specified, packageName is used.Example:
CustomCALPackage -
limitOptions:
string
A string value of 0s and 1s of length 8 representing the service host types where the Custom CAL Package can be deployed.Example:
00000000 -
packageId:
integer
Unique reference of the Custom CAL Package. Do not provide for insert. Required for update.Example:
101 -
packageName(required):
string
Name of the Custom CAL Package.Example:
CustomCALPackage -
platformType:
integer
Default Value:
0Platform that receives the Custom CAL Package. Valid values are 0, 1, 50, 69, and 80.Example:50 -
version:
string
Version of the Custom CAL Package.Example:
2.0.0.2
Response
Supported Media Types
- application/json
200 Response
Custom CAL Package updated.
Root Schema : schema
Type:
Show Source
object-
packageId:
integer
Unique reference of the Custom CAL Package.Example:
101